import { compose } from 'compose-middleware';

import compiler from './compiler/compiler';
import token from './token/token';
import universal from './universal/universal';

const middleware = [compiler, token, universal];

//  Middleware that doesn't require composition
export applyStaticHandlers from './static/static';
export errorHandler from './error/error';

export default (app, config) => compose(
  middleware.map(m => m(app, config)),
);
